Index: JobMarket/Makefile.am
===================================================================
--- JobMarket/Makefile.am	(revision 7da5cd8f40af510421808552471affe096db4402)
+++ JobMarket/Makefile.am	(revision c8446c9dfb15b3dbd1b31f8f0a8400639f778b16)
@@ -1,4 +1,4 @@
 ACLOCAL_AMFLAGS = -I m4
-SUBDIRS = src/JobMarket src/unittests tests/CodeChecks doc
+SUBDIRS = src/JobMarket src/unittests tests doc
 
 AUTOMAKE_OPTIONS = subdir-objects
Index: JobMarket/configure.ac
===================================================================
--- JobMarket/configure.ac	(revision 7da5cd8f40af510421808552471affe096db4402)
+++ JobMarket/configure.ac	(revision c8446c9dfb15b3dbd1b31f8f0a8400639f778b16)
@@ -176,8 +176,15 @@
 
 # test suite
+AC_CONFIG_FILES([tests/Makefile])
+
 AC_CONFIG_TESTDIR(tests/CodeChecks)
 AC_CONFIG_FILES([
 	tests/CodeChecks/atlocal 
 	tests/CodeChecks/Makefile])
+
+AC_CONFIG_TESTDIR(tests/regression)
+AC_CONFIG_FILES([
+	tests/regression/atlocal 
+	tests/regression/Makefile])
 
 AC_CONFIG_FILES([
@@ -189,5 +196,5 @@
 	doc/Makefile 
 	src/JobMarket/Makefile 
-  src/unittests/Makefile
+	src/unittests/Makefile
 ])
 
Index: JobMarket/tests/Makefile.am
===================================================================
--- JobMarket/tests/Makefile.am	(revision c8446c9dfb15b3dbd1b31f8f0a8400639f778b16)
+++ JobMarket/tests/Makefile.am	(revision c8446c9dfb15b3dbd1b31f8f0a8400639f778b16)
@@ -0,0 +1,6 @@
+SUBDIRS =
+
+SUBDIRS += \
+	CodeChecks \
+	regression
+
Index: JobMarket/tests/regression/Makefile.am
===================================================================
--- JobMarket/tests/regression/Makefile.am	(revision c8446c9dfb15b3dbd1b31f8f0a8400639f778b16)
+++ JobMarket/tests/regression/Makefile.am	(revision c8446c9dfb15b3dbd1b31f8f0a8400639f778b16)
@@ -0,0 +1,66 @@
+AUTOM4TE = $(SHELL) $(top_srcdir)/build-aux/missing --run autom4te
+
+EXTRA_DIST = \
+	testsuite.at \
+	$(TESTSUITE) \
+	$(TESTSCRIPTS) \
+	atlocal.in \
+	$(srcdir)/package.m4
+
+TESTSUITE = $(srcdir)/testsuite
+
+DISTCLEANFILES = atconfig
+
+TESTSCRIPTS =
+
+TESTSCRIPTS += \
+	$(srcdir)/testsuite-addingjobs.at \
+	$(srcdir)/testsuite-checkstate.at \
+	$(srcdir)/testsuite-completerun.at \
+	$(srcdir)/testsuite-enrollinpool.at \
+	$(srcdir)/testsuite-getresults.at \
+	$(srcdir)/testsuite-resubmitjobs.at \
+	$(srcdir)/testsuite-server-shutdown.at \
+	$(srcdir)/testsuite-server-worker.at
+
+max_jobs = 4
+ 
+check-local: atconfig atlocal $(TESTSUITE)
+	nrjobs=; \
+	for flag in $$MAKEFLAGS; do \
+		case $$flag in \
+		--* | =*=) ;; \
+		*j*) nrjobs="-j$(max_jobs)" ;; \
+		esac; \
+	done; \
+	$(SHELL) '$(TESTSUITE)' $$nrjobs AUTOTEST_PATH='$(abs_top_builddir)/src/JobMarket' $(TESTSUITEFLAGS)
+
+installcheck-local: atconfig atlocal $(TESTSUITE)
+	nrjobs=; \
+	for flag in $$MAKEFLAGS; do \
+		case $$flag in \
+		--* | =*=) ;; \
+		*j*) nrjobs="-j$(max_jobs)" ;; \
+		esac; \
+	done; \
+	$(SHELL) '$(TESTSUITE)' $$nrjobs AUTOTEST_PATH='$(bindir)' $(TESTSUITEFLAGS)
+
+clean-local:
+	test ! -f '$(TESTSUITE)' || \
+	$(SHELL) '$(TESTSUITE)' --clean
+
+AUTOTEST = $(AUTOM4TE) --language=autotest
+$(TESTSUITE): $(srcdir)/testsuite.at package.m4 $(TESTSCRIPTS)
+	$(AUTOTEST) -I '$(srcdir)' -o $@.tmp $@.at
+	mv $@.tmp $@
+
+# The `:;' works around a Bash 3.2 bug when the output is not writeable.
+package.m4: $(top_srcdir)/configure.ac
+	:;{ \
+		echo '# Signature of the current package.' && \
+		echo 'm4_define([AT_PACKAGE_NAME],      [@PACKAGE_NAME@])' && \
+		echo 'm4_define([AT_PACKAGE_TARNAME],   [@PACKAGE_TARNAME@])' && \
+		echo 'm4_define([AT_PACKAGE_VERSION],   [@PACKAGE_VERSION@])' && \
+		echo 'm4_define([AT_PACKAGE_STRING],    [@PACKAGE_STRING@])' && \
+		echo 'm4_define([AT_PACKAGE_BUGREPORT], [@PACKAGE_BUGREPORT@])'; \
+	} >'$(srcdir)/package.m4'
Index: JobMarket/tests/regression/atlocal.in
===================================================================
--- JobMarket/tests/regression/atlocal.in	(revision c8446c9dfb15b3dbd1b31f8f0a8400639f778b16)
+++ JobMarket/tests/regression/atlocal.in	(revision c8446c9dfb15b3dbd1b31f8f0a8400639f778b16)
@@ -0,0 +1,1 @@
+abs_top_srcdir='@abs_top_srcdir@'
Index: JobMarket/tests/regression/testsuite-addingjobs.at
===================================================================
--- JobMarket/tests/regression/testsuite-addingjobs.at	(revision c8446c9dfb15b3dbd1b31f8f0a8400639f778b16)
+++ JobMarket/tests/regression/testsuite-addingjobs.at	(revision c8446c9dfb15b3dbd1b31f8f0a8400639f778b16)
@@ -0,0 +1,35 @@
+### fragment the molecule and check the number of configs
+
+AT_SETUP([Fragmentation - Automation: Adding jobs])
+AT_KEYWORDS([fragmentation automation server worker jobadder])
+
+# check that ports are unique over all tests such that they may run in parallel
+WORKERPORT=1035
+CONTROLLERPORT=1036
+WORKERLISTENPORT=1037
+
+# start service in background
+${AUTOTEST_PATH}/Server --workerport $WORKERPORT --controllerport $CONTROLLERPORT &
+server_pid=$!
+AT_CHECK([sleep 1], 0, [ignore], [ignore], [kill $server_pid])
+
+# add one jobs via JobAdder
+AT_CHECK([${AUTOTEST_PATH}/Controller --server 127.0.0.1:$CONTROLLERPORT --command createjobs --executable "cat" --jobcommand "Nothing"], 0, [stdout], [ignore], [kill $server_pid])
+AT_CHECK([fgrep "Sending 1 jobs ..." stdout], 0, [ignore], [ignore], [kill $server_pid])
+
+# enlist a worker to work on jobs
+${AUTOTEST_PATH}/PoolWorker -v 5 --signal 2 --server 127.0.0.1:${WORKERPORT} --hostname 127.0.0.1 --listen $WORKERLISTENPORT &
+worker_pid=$!
+AT_CHECK([sleep 1], 0, [ignore], [ignore], [kill $server_pid $worker_pid])
+
+# send kill signal to worker such that it shuts down
+AT_CHECK([kill -INT $worker_pid], 0, [stdout], [ignore], [kill $server_pid $worker_pid])
+
+# shutdown
+AT_CHECK([${AUTOTEST_PATH}/Controller --server 127.0.0.1:$CONTROLLERPORT --command shutdown], 0, [ignore], [ignore], [kill $server_pid] $worker_pid)
+
+# check that server is truely down
+AT_CHECK([sleep 1], 0, [ignore], [ignore], [kill $server_pid $worker_pid])
+AT_CHECK([kill $server_pid $worker_pid], 1, [ignore], [ignore])
+
+AT_CLEANUP
Index: JobMarket/tests/regression/testsuite-checkstate.at
===================================================================
--- JobMarket/tests/regression/testsuite-checkstate.at	(revision c8446c9dfb15b3dbd1b31f8f0a8400639f778b16)
+++ JobMarket/tests/regression/testsuite-checkstate.at	(revision c8446c9dfb15b3dbd1b31f8f0a8400639f778b16)
@@ -0,0 +1,26 @@
+### fragment the molecule and check the number of configs
+
+AT_SETUP([Fragmentation - Automation: Checking results])
+AT_KEYWORDS([fragmentation automation server resultchecker])
+
+# check that ports are unique over all tests such that they may run in parallel
+WORKERPORT=1040
+CONTROLLERPORT=1041
+
+# start service in background
+${AUTOTEST_PATH}/Server --workerport $WORKERPORT --controllerport $CONTROLLERPORT &
+server_pid=$!
+AT_CHECK([sleep 1], 0, [ignore], [ignore], [kill $server_pid])
+
+# check jobs
+AT_CHECK([${AUTOTEST_PATH}/Controller --server 127.0.0.1:$CONTROLLERPORT --command checkresults], 0, [stdout], [ignore], [kill $server_pid])
+AT_CHECK([fgrep "0 jobs are calculated so far." stdout], 0, [ignore], [ignore], [kill $server_pid])
+
+# shutdown
+AT_CHECK([${AUTOTEST_PATH}/Controller --server 127.0.0.1:$CONTROLLERPORT --command shutdown], 0, [ignore], [ignore], [kill $server_pid])
+
+# check that server is truely down
+AT_CHECK([sleep 1], 0, [ignore], [ignore], [kill $server_pid])
+AT_CHECK([kill $server_pid], 1, [ignore], [ignore])
+
+AT_CLEANUP
Index: JobMarket/tests/regression/testsuite-completerun.at
===================================================================
--- JobMarket/tests/regression/testsuite-completerun.at	(revision c8446c9dfb15b3dbd1b31f8f0a8400639f778b16)
+++ JobMarket/tests/regression/testsuite-completerun.at	(revision c8446c9dfb15b3dbd1b31f8f0a8400639f778b16)
@@ -0,0 +1,57 @@
+### fragment the molecule and check the number of configs
+
+AT_SETUP([Fragmentation - Automation: Complete run])
+AT_KEYWORDS([fragmentation automation jobadder resultgetter resultchecker server shutdowner worker])
+
+# check that ports are unique over all tests such that they may run in parallel
+WORKERPORT=1050
+CONTROLLERPORT=1051
+WORKERLISTENPORT=1052
+
+# start service in background
+${AUTOTEST_PATH}/Server --workerport $WORKERPORT --controllerport $CONTROLLERPORT &
+server_pid=$!
+AT_CHECK([sleep 1], 0, [ignore], [ignore], [kill $server_pid])
+
+# add two jobs via JobAdder
+AT_CHECK([${AUTOTEST_PATH}/Controller --server 127.0.0.1:$CONTROLLERPORT --command createjobs --executable "cat" --jobcommand "Nothing"], 0, [stdout], [ignore], [kill $server_pid])
+AT_CHECK([fgrep "Sending 1 jobs ..." stdout], 0, [ignore], [ignore], [kill $server_pid])
+AT_CHECK([${AUTOTEST_PATH}/Controller --server 127.0.0.1:$CONTROLLERPORT --command createjobs --executable "cat" --jobcommand "Nothing"], 0, [stdout], [ignore], [kill $server_pid])
+AT_CHECK([fgrep "Sending 1 jobs ..." stdout], 0, [ignore], [ignore], [kill $server_pid])
+AT_CHECK([${AUTOTEST_PATH}/Controller --server 127.0.0.1:$CONTROLLERPORT --command createjobs --executable "cat" --jobcommand "Nothing"], 0, [stdout], [ignore], [kill $server_pid])
+AT_CHECK([fgrep "Sending 1 jobs ..." stdout], 0, [ignore], [ignore], [kill $server_pid])
+
+# Checking results
+AT_CHECK([${AUTOTEST_PATH}/Controller --server 127.0.0.1:$CONTROLLERPORT --command checkresults], 0, [stdout], [ignore], [kill $server_pid])
+AT_CHECK([fgrep "#3 are waiting in the queue and #0 jobs are calculated so far." stdout], 0, [ignore], [ignore], [kill $server_pid])
+
+# enlist a worker to work on jobs
+${AUTOTEST_PATH}/PoolWorker -v 5 --signal 2 --server 127.0.0.1:${WORKERPORT} --hostname 127.0.0.1 --listen $WORKERLISTENPORT &
+worker_pid=$!
+AT_CHECK([sleep 2], 0, [ignore], [ignore], [kill $server_pid $worker_pid])
+
+# send kill signal to worker such that it shuts down
+AT_CHECK([kill -INT $worker_pid], 0, [stdout], [ignore], [kill $server_pid $worker_pid])
+
+# Checking results
+AT_CHECK([${AUTOTEST_PATH}/Controller --server 127.0.0.1:$CONTROLLERPORT --command checkresults], 0, [stdout], [ignore], [kill $server_pid $worker_pid])
+AT_CHECK([fgrep "#0 are waiting in the queue and #3 jobs are calculated so far." stdout], 0, [ignore], [ignore], [kill $server_pid $worker_pid])
+
+# get results
+AT_CHECK([${AUTOTEST_PATH}/Controller --server 127.0.0.1:$CONTROLLERPORT --command receiveresults], 0, [stdout], [ignore], [kill $server_pid $worker_pid])
+AT_CHECK([fgrep "Received 3 results" stdout], 0, [ignore], [ignore], [kill $server_pid $worker_pid])
+AT_CHECK([fgrep -c "Nothing" stdout], 0, [stdout], [ignore], [kill $server_pid $worker_pid])
+AT_CHECK([grep "3" stdout], 0, [ignore], [ignore], [kill $server_pid $worker_pid])
+
+# get no more results
+AT_CHECK([${AUTOTEST_PATH}/Controller --server 127.0.0.1:$CONTROLLERPORT --command receiveresults], 0, [stdout], [ignore], [kill $server_pid $worker_pid])
+AT_CHECK([grep "Nothing" stdout], 1, [ignore], [ignore], [kill $server_pid $worker_pid])
+
+# shutdown
+AT_CHECK([${AUTOTEST_PATH}/Controller --server 127.0.0.1:$CONTROLLERPORT --command shutdown], 0, [stdout], [ignore], [kill $server_pid $worker_pid])
+
+# check that server is truely down
+AT_CHECK([sleep 1], 0, [ignore], [ignore], [kill $server_pid $worker_pid])
+AT_CHECK([kill $server_pid $worker_pid], 1, [ignore], [ignore])
+
+AT_CLEANUP
Index: JobMarket/tests/regression/testsuite-enrollinpool.at
===================================================================
--- JobMarket/tests/regression/testsuite-enrollinpool.at	(revision c8446c9dfb15b3dbd1b31f8f0a8400639f778b16)
+++ JobMarket/tests/regression/testsuite-enrollinpool.at	(revision c8446c9dfb15b3dbd1b31f8f0a8400639f778b16)
@@ -0,0 +1,38 @@
+### fragment the molecule and check the number of configs
+
+AT_SETUP([Fragmentation - Automation: Worker enrolls in pool])
+AT_KEYWORDS([fragmentation automation controller poolworker server shutdown])
+
+WORKERPORT=1055
+CONTROLLERPORT=1056
+WORKERLISTENPORT=1057
+
+# start service in background
+${AUTOTEST_PATH}/Server --workerport $WORKERPORT --controllerport $CONTROLLERPORT &
+server_pid=$!
+AT_CHECK([sleep 1], 0, [ignore], [ignore], [kill $server_pid])
+
+# check help of poolworker
+AT_CHECK([${AUTOTEST_PATH}/PoolWorker -h], 1, [ignore], [ignore], [kill $server_pid])
+
+# let worker enroll in pool
+${AUTOTEST_PATH}/PoolWorker -v 5 --signal 2 --server 127.0.0.1:${WORKERPORT} --hostname 127.0.0.1 --listen $WORKERLISTENPORT &
+worker_pid=$!
+AT_CHECK([sleep 1], 0, [ignore], [ignore], [kill $server_pid $worker_pid])
+
+# add one jobs via JobAdder
+AT_CHECK([${AUTOTEST_PATH}/Controller --server 127.0.0.1:$CONTROLLERPORT --command createjobs --executable "cat" --jobcommand "Nothing"], 0, [stdout], [ignore], [kill $server_pid $worker_pid])
+AT_CHECK([fgrep "Sending 1 jobs ..." stdout], 0, [ignore], [ignore], [kill $server_pid $worker_pid])
+AT_CHECK([sleep 1], 0, [ignore], [ignore], [kill $server_pid $worker_pid])
+
+# send kill signal to worker such that it shuts down properly
+AT_CHECK([kill -2 $worker_pid], 0, [stdout], [ignore], [kill $server_pid $worker_pid])
+
+# shutdown server as well
+AT_CHECK([${AUTOTEST_PATH}/Controller --server 127.0.0.1:$CONTROLLERPORT --command shutdown], 0, [ignore], [ignore], [kill $server_pid $worker_pid])
+
+# check that Server is truely down
+AT_CHECK([sleep 1], 0, [ignore], [ignore], [kill $server_pid $worker_pid])
+AT_CHECK([kill $server_pid $worker_pid], 1, [ignore], [ignore])
+
+AT_CLEANUP
Index: JobMarket/tests/regression/testsuite-getresults.at
===================================================================
--- JobMarket/tests/regression/testsuite-getresults.at	(revision c8446c9dfb15b3dbd1b31f8f0a8400639f778b16)
+++ JobMarket/tests/regression/testsuite-getresults.at	(revision c8446c9dfb15b3dbd1b31f8f0a8400639f778b16)
@@ -0,0 +1,26 @@
+### fragment the molecule and check the number of configs
+
+AT_SETUP([Fragmentation - Automation: Getting results])
+AT_KEYWORDS([fragmentation automation server resultgetter])
+
+# check that ports are unique over all tests such that they may run in parallel
+WORKERPORT=1045
+CONTROLLERPORT=1046
+
+# start service in background
+${AUTOTEST_PATH}/Server --workerport $WORKERPORT --controllerport $CONTROLLERPORT &
+server_pid=$!
+AT_CHECK([sleep 1], 0, [ignore], [ignore], [kill $server_pid])
+
+# directly obtain 0 results
+AT_CHECK([${AUTOTEST_PATH}/Controller --server 127.0.0.1:$CONTROLLERPORT --command receiveresults], 0, [stdout], [ignore], [kill $server_pid])
+AT_CHECK([fgrep "RESULT" stdout], 1, [stdout], [ignore], [kill $server_pid])
+
+# shutdown
+AT_CHECK([${AUTOTEST_PATH}/Controller --server 127.0.0.1:$CONTROLLERPORT --command shutdown], 0, [ignore], [ignore], [kill $server_pid])
+
+# check that server is truely down
+AT_CHECK([sleep 1], 0, [ignore], [ignore], [kill $server_pid])
+AT_CHECK([kill $server_pid], 1, [ignore], [ignore])
+
+AT_CLEANUP
Index: JobMarket/tests/regression/testsuite-resubmitjobs.at
===================================================================
--- JobMarket/tests/regression/testsuite-resubmitjobs.at	(revision c8446c9dfb15b3dbd1b31f8f0a8400639f778b16)
+++ JobMarket/tests/regression/testsuite-resubmitjobs.at	(revision c8446c9dfb15b3dbd1b31f8f0a8400639f778b16)
@@ -0,0 +1,41 @@
+### fragment the molecule and check the number of configs
+
+AT_SETUP([Fragmentation - Automation: Resubmitting failed jobs])
+AT_KEYWORDS([fragmentation automation server worker jobadder])
+
+# check that ports are unique over all tests such that they may run in parallel
+WORKERPORT=1070
+CONTROLLERPORT=1071
+WORKERLISTENPORT=1072
+
+# start service in background
+${AUTOTEST_PATH}/Server --workerport $WORKERPORT --controllerport $CONTROLLERPORT &
+server_pid=$!
+AT_CHECK([sleep 1], 0, [ignore], [ignore], [kill $server_pid])
+
+# add one always failing job via JobAdder
+AT_CHECK([${AUTOTEST_PATH}/Controller --server 127.0.0.1:$CONTROLLERPORT --command createjobs --executable "/bin/false" --jobcommand "Nothing"], 0, [stdout], [ignore], [kill $server_pid])
+AT_CHECK([fgrep "Sending 1 jobs ..." stdout], 0, [ignore], [ignore], [kill $server_pid])
+
+# enlist a worker to work on jobs
+${AUTOTEST_PATH}/PoolWorker -v 5 --signal 2 --server 127.0.0.1:${WORKERPORT} --hostname 127.0.0.1 --listen $WORKERLISTENPORT 2>workererr &
+worker_pid=$!
+AT_CHECK([sleep 2], 0, [ignore], [ignore], [kill $server_pid $worker_pid])
+
+# send kill signal to worker such that it shuts down
+AT_CHECK([kill -INT $worker_pid], 0, [ignore], [ignore], [kill $server_pid $worker_pid])
+
+# check that it truely failed for four times
+AT_CHECK([fgrep -c "Job 1 failed on executing" workererr], 0, [stdout], [ignore], [kill $server_pid])
+AT_CHECK([grep "4" stdout], 0, [ignore], [ignore])
+
+# shutdown
+AT_CHECK([${AUTOTEST_PATH}/Controller --server 127.0.0.1:$CONTROLLERPORT --command shutdown], 0, [ignore], [ignore], [kill $server_pid])
+
+# check that server is truely down
+AT_CHECK([sleep 1], 0, [ignore], [ignore], [kill $server_pid])
+AT_CHECK([kill $server_pid], 1, [ignore], [ignore])
+
+AT_CHECK([rm -f workererr], 0, [ignore], [ignore])
+
+AT_CLEANUP
Index: JobMarket/tests/regression/testsuite-server-shutdown.at
===================================================================
--- JobMarket/tests/regression/testsuite-server-shutdown.at	(revision c8446c9dfb15b3dbd1b31f8f0a8400639f778b16)
+++ JobMarket/tests/regression/testsuite-server-shutdown.at	(revision c8446c9dfb15b3dbd1b31f8f0a8400639f778b16)
@@ -0,0 +1,23 @@
+### fragment the molecule and check the number of configs
+
+AT_SETUP([Fragmentation - Automation: Server shutdown])
+AT_KEYWORDS([fragmentation automation server shutdowner])
+
+# check that ports are unique over all tests such that they may run in parallel
+WORKERPORT=1030
+CONTROLLERPORT=1031
+
+# start service in background
+${AUTOTEST_PATH}/Server --workerport $WORKERPORT --controllerport $CONTROLLERPORT &
+server_pid=$!
+AT_CHECK([sleep 1], 0, [ignore], [ignore], [kill $server_pid])
+
+# shutdown server again
+AT_CHECK([${AUTOTEST_PATH}/Controller --server 127.0.0.1:$CONTROLLERPORT --command shutdown], 0, [stdout], [ignore], [kill $server_pid])
+AT_CHECK([grep "Operation completed." stdout], 0, [stdout], [ignore], [kill $server_pid])
+
+# server shuts down as queue is empty
+AT_CHECK([sleep 1], 0, [ignore], [ignore], [kill $server_pid])
+AT_CHECK([kill $server_pid], 1, [ignore], [ignore])
+
+AT_CLEANUP
Index: JobMarket/tests/regression/testsuite-server-worker.at
===================================================================
--- JobMarket/tests/regression/testsuite-server-worker.at	(revision c8446c9dfb15b3dbd1b31f8f0a8400639f778b16)
+++ JobMarket/tests/regression/testsuite-server-worker.at	(revision c8446c9dfb15b3dbd1b31f8f0a8400639f778b16)
@@ -0,0 +1,38 @@
+### fragment the molecule and check the number of configs
+
+AT_SETUP([Fragmentation - Automation: Server/Worker])
+AT_KEYWORDS([fragmentation automation server worker])
+
+# check that ports are unique over all tests such that they may run in parallel
+WORKERPORT=1025
+CONTROLLERPORT=1026
+WORKERLISTENPORT=1027
+
+# start service in background
+${AUTOTEST_PATH}/Server --workerport $WORKERPORT --controllerport $CONTROLLERPORT &
+server_pid=$!
+AT_CHECK([sleep 1], 0, [ignore], [ignore], [kill $server_pid])
+
+# add one jobs 
+AT_CHECK([${AUTOTEST_PATH}/Controller --server 127.0.0.1:$CONTROLLERPORT --command createjobs --executable "cat" --jobcommand "Nothing"], 0, [ignore], [ignore], [kill $server_pid])
+
+# enlist a worker to work on jobs
+${AUTOTEST_PATH}/PoolWorker -v 5 --signal 2 --server 127.0.0.1:${WORKERPORT} --hostname 127.0.0.1 --listen $WORKERLISTENPORT &
+worker_pid=$!
+AT_CHECK([sleep 2], 0, [ignore], [ignore], [kill $server_pid $worker_pid])
+
+# send kill signal to worker such that it shuts down
+AT_CHECK([kill -INT $worker_pid], 0, [stdout], [ignore], [kill $server_pid $worker_pid])
+
+# check number of done jobs
+AT_CHECK([${AUTOTEST_PATH}/Controller --server 127.0.0.1:$CONTROLLERPORT --command checkresults], 0, [stdout], [ignore], [kill $server_pid])
+AT_CHECK([fgrep "#0 are waiting in the queue and #1 jobs are calculated so far." stdout], 0, [ignore], [ignore], [kill $server_pid])
+
+# shutdown controller socket 
+AT_CHECK([${AUTOTEST_PATH}/Controller --server 127.0.0.1:$CONTROLLERPORT --command shutdown], 0, [stdout], [ignore], [kill $server_pid])
+
+# check that server is truely down
+AT_CHECK([sleep 1], 0, [ignore], [ignore], [kill $server_pid])
+AT_CHECK([kill $server_pid], 1, [ignore], [ignore])
+
+AT_CLEANUP
Index: JobMarket/tests/regression/testsuite.at
===================================================================
--- JobMarket/tests/regression/testsuite.at	(revision c8446c9dfb15b3dbd1b31f8f0a8400639f778b16)
+++ JobMarket/tests/regression/testsuite.at	(revision c8446c9dfb15b3dbd1b31f8f0a8400639f778b16)
@@ -0,0 +1,38 @@
+# Process with autom4te to create an -*- Autotest -*- test suite.
+#
+
+AT_INIT([JobMarket])
+AT_TESTED(diff grep egrep fgrep)
+
+# makes functions in CheckCommand.sh available within the tests
+# This is not yet working due to a bug in autotest (AC_CHECK cannot be used inside diversion)
+#m4_divert_push([PREPARE_TESTS])
+#m4_include([CheckCommand.sh])
+#m4_divert_pop([PREPARE_TESTS])
+
+# Use colored output with new-enough Autotest.
+m4_ifdef([AT_COLOR_TESTS], [AT_COLOR_TESTS])
+
+# check whether server shutdown works
+m4_include([testsuite-server-shutdown.at])
+
+# check whether poolworker may succesfully enroll in pool
+m4_include([testsuite-enrollinpool.at])
+
+# check whether adding jobs works
+m4_include([testsuite-addingjobs.at])
+
+# check whether checking state works
+m4_include([testsuite-checkstate.at])
+
+# check whether getting results works
+m4_include([testsuite-getresults.at])
+
+# check whether Server/Client construct for automatized calculation is working
+m4_include([testsuite-server-worker.at])
+
+# check whether resubmitting of failed jobs works
+m4_include([testsuite-resubmitjobs.at])
+
+# check whether complete run works
+m4_include([testsuite-completerun.at])
Index: sts/regression/Fragmentation/Automation/testsuite-fragmentation-automation-addingjobs.at
===================================================================
--- tests/regression/Fragmentation/Automation/testsuite-fragmentation-automation-addingjobs.at	(revision 7da5cd8f40af510421808552471affe096db4402)
+++ 	(revision )
@@ -1,35 +1,0 @@
-### fragment the molecule and check the number of configs
-
-AT_SETUP([Fragmentation - Automation: Adding jobs])
-AT_KEYWORDS([fragmentation automation server worker jobadder])
-
-# check that ports are unique over all tests such that they may run in parallel
-WORKERPORT=1035
-CONTROLLERPORT=1036
-WORKERLISTENPORT=1037
-
-# start service in background
-${AUTOTEST_PATH}/Server --workerport $WORKERPORT --controllerport $CONTROLLERPORT &
-server_pid=$!
-AT_CHECK([sleep 1], 0, [ignore], [ignore], [kill $server_pid])
-
-# add one jobs via JobAdder
-AT_CHECK([${AUTOTEST_PATH}/Controller --server 127.0.0.1:$CONTROLLERPORT --command createjobs --executable "cat" --jobcommand "Nothing"], 0, [stdout], [ignore], [kill $server_pid])
-AT_CHECK([fgrep "Sending 1 jobs ..." stdout], 0, [ignore], [ignore], [kill $server_pid])
-
-# enlist a worker to work on jobs
-${AUTOTEST_PATH}/PoolWorker -v 5 --signal 2 --server 127.0.0.1:${WORKERPORT} --hostname 127.0.0.1 --listen $WORKERLISTENPORT &
-worker_pid=$!
-AT_CHECK([sleep 1], 0, [ignore], [ignore], [kill $server_pid $worker_pid])
-
-# send kill signal to worker such that it shuts down
-AT_CHECK([kill -INT $worker_pid], 0, [stdout], [ignore], [kill $server_pid $worker_pid])
-
-# shutdown
-AT_CHECK([${AUTOTEST_PATH}/Controller --server 127.0.0.1:$CONTROLLERPORT --command shutdown], 0, [ignore], [ignore], [kill $server_pid] $worker_pid)
-
-# check that server is truely down
-AT_CHECK([sleep 1], 0, [ignore], [ignore], [kill $server_pid $worker_pid])
-AT_CHECK([kill $server_pid $worker_pid], 1, [ignore], [ignore])
-
-AT_CLEANUP
Index: sts/regression/Fragmentation/Automation/testsuite-fragmentation-automation-checkstate.at
===================================================================
--- tests/regression/Fragmentation/Automation/testsuite-fragmentation-automation-checkstate.at	(revision 7da5cd8f40af510421808552471affe096db4402)
+++ 	(revision )
@@ -1,26 +1,0 @@
-### fragment the molecule and check the number of configs
-
-AT_SETUP([Fragmentation - Automation: Checking results])
-AT_KEYWORDS([fragmentation automation server resultchecker])
-
-# check that ports are unique over all tests such that they may run in parallel
-WORKERPORT=1040
-CONTROLLERPORT=1041
-
-# start service in background
-${AUTOTEST_PATH}/Server --workerport $WORKERPORT --controllerport $CONTROLLERPORT &
-server_pid=$!
-AT_CHECK([sleep 1], 0, [ignore], [ignore], [kill $server_pid])
-
-# check jobs
-AT_CHECK([${AUTOTEST_PATH}/Controller --server 127.0.0.1:$CONTROLLERPORT --command checkresults], 0, [stdout], [ignore], [kill $server_pid])
-AT_CHECK([fgrep "0 jobs are calculated so far." stdout], 0, [ignore], [ignore], [kill $server_pid])
-
-# shutdown
-AT_CHECK([${AUTOTEST_PATH}/Controller --server 127.0.0.1:$CONTROLLERPORT --command shutdown], 0, [ignore], [ignore], [kill $server_pid])
-
-# check that server is truely down
-AT_CHECK([sleep 1], 0, [ignore], [ignore], [kill $server_pid])
-AT_CHECK([kill $server_pid], 1, [ignore], [ignore])
-
-AT_CLEANUP
Index: sts/regression/Fragmentation/Automation/testsuite-fragmentation-automation-completerun.at
===================================================================
--- tests/regression/Fragmentation/Automation/testsuite-fragmentation-automation-completerun.at	(revision 7da5cd8f40af510421808552471affe096db4402)
+++ 	(revision )
@@ -1,57 +1,0 @@
-### fragment the molecule and check the number of configs
-
-AT_SETUP([Fragmentation - Automation: Complete run])
-AT_KEYWORDS([fragmentation automation jobadder resultgetter resultchecker server shutdowner worker])
-
-# check that ports are unique over all tests such that they may run in parallel
-WORKERPORT=1050
-CONTROLLERPORT=1051
-WORKERLISTENPORT=1052
-
-# start service in background
-${AUTOTEST_PATH}/Server --workerport $WORKERPORT --controllerport $CONTROLLERPORT &
-server_pid=$!
-AT_CHECK([sleep 1], 0, [ignore], [ignore], [kill $server_pid])
-
-# add two jobs via JobAdder
-AT_CHECK([${AUTOTEST_PATH}/Controller --server 127.0.0.1:$CONTROLLERPORT --command createjobs --executable "cat" --jobcommand "Nothing"], 0, [stdout], [ignore], [kill $server_pid])
-AT_CHECK([fgrep "Sending 1 jobs ..." stdout], 0, [ignore], [ignore], [kill $server_pid])
-AT_CHECK([${AUTOTEST_PATH}/Controller --server 127.0.0.1:$CONTROLLERPORT --command createjobs --executable "cat" --jobcommand "Nothing"], 0, [stdout], [ignore], [kill $server_pid])
-AT_CHECK([fgrep "Sending 1 jobs ..." stdout], 0, [ignore], [ignore], [kill $server_pid])
-AT_CHECK([${AUTOTEST_PATH}/Controller --server 127.0.0.1:$CONTROLLERPORT --command createjobs --executable "cat" --jobcommand "Nothing"], 0, [stdout], [ignore], [kill $server_pid])
-AT_CHECK([fgrep "Sending 1 jobs ..." stdout], 0, [ignore], [ignore], [kill $server_pid])
-
-# Checking results
-AT_CHECK([${AUTOTEST_PATH}/Controller --server 127.0.0.1:$CONTROLLERPORT --command checkresults], 0, [stdout], [ignore], [kill $server_pid])
-AT_CHECK([fgrep "#3 are waiting in the queue and #0 jobs are calculated so far." stdout], 0, [ignore], [ignore], [kill $server_pid])
-
-# enlist a worker to work on jobs
-${AUTOTEST_PATH}/PoolWorker -v 5 --signal 2 --server 127.0.0.1:${WORKERPORT} --hostname 127.0.0.1 --listen $WORKERLISTENPORT &
-worker_pid=$!
-AT_CHECK([sleep 2], 0, [ignore], [ignore], [kill $server_pid $worker_pid])
-
-# send kill signal to worker such that it shuts down
-AT_CHECK([kill -INT $worker_pid], 0, [stdout], [ignore], [kill $server_pid $worker_pid])
-
-# Checking results
-AT_CHECK([${AUTOTEST_PATH}/Controller --server 127.0.0.1:$CONTROLLERPORT --command checkresults], 0, [stdout], [ignore], [kill $server_pid $worker_pid])
-AT_CHECK([fgrep "#0 are waiting in the queue and #3 jobs are calculated so far." stdout], 0, [ignore], [ignore], [kill $server_pid $worker_pid])
-
-# get results
-AT_CHECK([${AUTOTEST_PATH}/Controller --server 127.0.0.1:$CONTROLLERPORT --command receiveresults], 0, [stdout], [ignore], [kill $server_pid $worker_pid])
-AT_CHECK([fgrep "Received 3 results" stdout], 0, [ignore], [ignore], [kill $server_pid $worker_pid])
-AT_CHECK([fgrep -c "Nothing" stdout], 0, [stdout], [ignore], [kill $server_pid $worker_pid])
-AT_CHECK([grep "3" stdout], 0, [ignore], [ignore], [kill $server_pid $worker_pid])
-
-# get no more results
-AT_CHECK([${AUTOTEST_PATH}/Controller --server 127.0.0.1:$CONTROLLERPORT --command receiveresults], 0, [stdout], [ignore], [kill $server_pid $worker_pid])
-AT_CHECK([grep "Nothing" stdout], 1, [ignore], [ignore], [kill $server_pid $worker_pid])
-
-# shutdown
-AT_CHECK([${AUTOTEST_PATH}/Controller --server 127.0.0.1:$CONTROLLERPORT --command shutdown], 0, [stdout], [ignore], [kill $server_pid $worker_pid])
-
-# check that server is truely down
-AT_CHECK([sleep 1], 0, [ignore], [ignore], [kill $server_pid $worker_pid])
-AT_CHECK([kill $server_pid $worker_pid], 1, [ignore], [ignore])
-
-AT_CLEANUP
Index: sts/regression/Fragmentation/Automation/testsuite-fragmentation-automation-enrollinpool.at
===================================================================
--- tests/regression/Fragmentation/Automation/testsuite-fragmentation-automation-enrollinpool.at	(revision 7da5cd8f40af510421808552471affe096db4402)
+++ 	(revision )
@@ -1,38 +1,0 @@
-### fragment the molecule and check the number of configs
-
-AT_SETUP([Fragmentation - Automation: Worker enrolls in pool])
-AT_KEYWORDS([fragmentation automation controller poolworker server shutdown])
-
-WORKERPORT=1055
-CONTROLLERPORT=1056
-WORKERLISTENPORT=1057
-
-# start service in background
-${AUTOTEST_PATH}/Server --workerport $WORKERPORT --controllerport $CONTROLLERPORT &
-server_pid=$!
-AT_CHECK([sleep 1], 0, [ignore], [ignore], [kill $server_pid])
-
-# check help of poolworker
-AT_CHECK([${AUTOTEST_PATH}/PoolWorker -h], 1, [ignore], [ignore], [kill $server_pid])
-
-# let worker enroll in pool
-${AUTOTEST_PATH}/PoolWorker -v 5 --signal 2 --server 127.0.0.1:${WORKERPORT} --hostname 127.0.0.1 --listen $WORKERLISTENPORT &
-worker_pid=$!
-AT_CHECK([sleep 1], 0, [ignore], [ignore], [kill $server_pid $worker_pid])
-
-# add one jobs via JobAdder
-AT_CHECK([${AUTOTEST_PATH}/Controller --server 127.0.0.1:$CONTROLLERPORT --command createjobs --executable "cat" --jobcommand "Nothing"], 0, [stdout], [ignore], [kill $server_pid $worker_pid])
-AT_CHECK([fgrep "Sending 1 jobs ..." stdout], 0, [ignore], [ignore], [kill $server_pid $worker_pid])
-AT_CHECK([sleep 1], 0, [ignore], [ignore], [kill $server_pid $worker_pid])
-
-# send kill signal to worker such that it shuts down properly
-AT_CHECK([kill -2 $worker_pid], 0, [stdout], [ignore], [kill $server_pid $worker_pid])
-
-# shutdown server as well
-AT_CHECK([${AUTOTEST_PATH}/Controller --server 127.0.0.1:$CONTROLLERPORT --command shutdown], 0, [ignore], [ignore], [kill $server_pid $worker_pid])
-
-# check that Server is truely down
-AT_CHECK([sleep 1], 0, [ignore], [ignore], [kill $server_pid $worker_pid])
-AT_CHECK([kill $server_pid $worker_pid], 1, [ignore], [ignore])
-
-AT_CLEANUP
Index: sts/regression/Fragmentation/Automation/testsuite-fragmentation-automation-getresults.at
===================================================================
--- tests/regression/Fragmentation/Automation/testsuite-fragmentation-automation-getresults.at	(revision 7da5cd8f40af510421808552471affe096db4402)
+++ 	(revision )
@@ -1,26 +1,0 @@
-### fragment the molecule and check the number of configs
-
-AT_SETUP([Fragmentation - Automation: Getting results])
-AT_KEYWORDS([fragmentation automation server resultgetter])
-
-# check that ports are unique over all tests such that they may run in parallel
-WORKERPORT=1045
-CONTROLLERPORT=1046
-
-# start service in background
-${AUTOTEST_PATH}/Server --workerport $WORKERPORT --controllerport $CONTROLLERPORT &
-server_pid=$!
-AT_CHECK([sleep 1], 0, [ignore], [ignore], [kill $server_pid])
-
-# directly obtain 0 results
-AT_CHECK([${AUTOTEST_PATH}/Controller --server 127.0.0.1:$CONTROLLERPORT --command receiveresults], 0, [stdout], [ignore], [kill $server_pid])
-AT_CHECK([fgrep "RESULT" stdout], 1, [stdout], [ignore], [kill $server_pid])
-
-# shutdown
-AT_CHECK([${AUTOTEST_PATH}/Controller --server 127.0.0.1:$CONTROLLERPORT --command shutdown], 0, [ignore], [ignore], [kill $server_pid])
-
-# check that server is truely down
-AT_CHECK([sleep 1], 0, [ignore], [ignore], [kill $server_pid])
-AT_CHECK([kill $server_pid], 1, [ignore], [ignore])
-
-AT_CLEANUP
Index: sts/regression/Fragmentation/Automation/testsuite-fragmentation-automation-resubmitjobs.at
===================================================================
--- tests/regression/Fragmentation/Automation/testsuite-fragmentation-automation-resubmitjobs.at	(revision 7da5cd8f40af510421808552471affe096db4402)
+++ 	(revision )
@@ -1,41 +1,0 @@
-### fragment the molecule and check the number of configs
-
-AT_SETUP([Fragmentation - Automation: Resubmitting failed jobs])
-AT_KEYWORDS([fragmentation automation server worker jobadder])
-
-# check that ports are unique over all tests such that they may run in parallel
-WORKERPORT=1070
-CONTROLLERPORT=1071
-WORKERLISTENPORT=1072
-
-# start service in background
-${AUTOTEST_PATH}/Server --workerport $WORKERPORT --controllerport $CONTROLLERPORT &
-server_pid=$!
-AT_CHECK([sleep 1], 0, [ignore], [ignore], [kill $server_pid])
-
-# add one always failing job via JobAdder
-AT_CHECK([${AUTOTEST_PATH}/Controller --server 127.0.0.1:$CONTROLLERPORT --command createjobs --executable "/bin/false" --jobcommand "Nothing"], 0, [stdout], [ignore], [kill $server_pid])
-AT_CHECK([fgrep "Sending 1 jobs ..." stdout], 0, [ignore], [ignore], [kill $server_pid])
-
-# enlist a worker to work on jobs
-${AUTOTEST_PATH}/PoolWorker -v 5 --signal 2 --server 127.0.0.1:${WORKERPORT} --hostname 127.0.0.1 --listen $WORKERLISTENPORT 2>workererr &
-worker_pid=$!
-AT_CHECK([sleep 2], 0, [ignore], [ignore], [kill $server_pid $worker_pid])
-
-# send kill signal to worker such that it shuts down
-AT_CHECK([kill -INT $worker_pid], 0, [ignore], [ignore], [kill $server_pid $worker_pid])
-
-# check that it truely failed for four times
-AT_CHECK([fgrep -c "Job 1 failed on executing" workererr], 0, [stdout], [ignore], [kill $server_pid])
-AT_CHECK([grep "4" stdout], 0, [ignore], [ignore])
-
-# shutdown
-AT_CHECK([${AUTOTEST_PATH}/Controller --server 127.0.0.1:$CONTROLLERPORT --command shutdown], 0, [ignore], [ignore], [kill $server_pid])
-
-# check that server is truely down
-AT_CHECK([sleep 1], 0, [ignore], [ignore], [kill $server_pid])
-AT_CHECK([kill $server_pid], 1, [ignore], [ignore])
-
-AT_CHECK([rm -f workererr], 0, [ignore], [ignore])
-
-AT_CLEANUP
Index: sts/regression/Fragmentation/Automation/testsuite-fragmentation-automation-server-shutdown.at
===================================================================
--- tests/regression/Fragmentation/Automation/testsuite-fragmentation-automation-server-shutdown.at	(revision 7da5cd8f40af510421808552471affe096db4402)
+++ 	(revision )
@@ -1,23 +1,0 @@
-### fragment the molecule and check the number of configs
-
-AT_SETUP([Fragmentation - Automation: Server shutdown])
-AT_KEYWORDS([fragmentation automation server shutdowner])
-
-# check that ports are unique over all tests such that they may run in parallel
-WORKERPORT=1030
-CONTROLLERPORT=1031
-
-# start service in background
-${AUTOTEST_PATH}/Server --workerport $WORKERPORT --controllerport $CONTROLLERPORT &
-server_pid=$!
-AT_CHECK([sleep 1], 0, [ignore], [ignore], [kill $server_pid])
-
-# shutdown server again
-AT_CHECK([${AUTOTEST_PATH}/Controller --server 127.0.0.1:$CONTROLLERPORT --command shutdown], 0, [stdout], [ignore], [kill $server_pid])
-AT_CHECK([grep "Operation completed." stdout], 0, [stdout], [ignore], [kill $server_pid])
-
-# server shuts down as queue is empty
-AT_CHECK([sleep 1], 0, [ignore], [ignore], [kill $server_pid])
-AT_CHECK([kill $server_pid], 1, [ignore], [ignore])
-
-AT_CLEANUP
Index: sts/regression/Fragmentation/Automation/testsuite-fragmentation-automation-server-worker.at
===================================================================
--- tests/regression/Fragmentation/Automation/testsuite-fragmentation-automation-server-worker.at	(revision 7da5cd8f40af510421808552471affe096db4402)
+++ 	(revision )
@@ -1,38 +1,0 @@
-### fragment the molecule and check the number of configs
-
-AT_SETUP([Fragmentation - Automation: Server/Worker])
-AT_KEYWORDS([fragmentation automation server worker])
-
-# check that ports are unique over all tests such that they may run in parallel
-WORKERPORT=1025
-CONTROLLERPORT=1026
-WORKERLISTENPORT=1027
-
-# start service in background
-${AUTOTEST_PATH}/Server --workerport $WORKERPORT --controllerport $CONTROLLERPORT &
-server_pid=$!
-AT_CHECK([sleep 1], 0, [ignore], [ignore], [kill $server_pid])
-
-# add one jobs 
-AT_CHECK([${AUTOTEST_PATH}/Controller --server 127.0.0.1:$CONTROLLERPORT --command createjobs --executable "cat" --jobcommand "Nothing"], 0, [ignore], [ignore], [kill $server_pid])
-
-# enlist a worker to work on jobs
-${AUTOTEST_PATH}/PoolWorker -v 5 --signal 2 --server 127.0.0.1:${WORKERPORT} --hostname 127.0.0.1 --listen $WORKERLISTENPORT &
-worker_pid=$!
-AT_CHECK([sleep 2], 0, [ignore], [ignore], [kill $server_pid $worker_pid])
-
-# send kill signal to worker such that it shuts down
-AT_CHECK([kill -INT $worker_pid], 0, [stdout], [ignore], [kill $server_pid $worker_pid])
-
-# check number of done jobs
-AT_CHECK([${AUTOTEST_PATH}/Controller --server 127.0.0.1:$CONTROLLERPORT --command checkresults], 0, [stdout], [ignore], [kill $server_pid])
-AT_CHECK([fgrep "#0 are waiting in the queue and #1 jobs are calculated so far." stdout], 0, [ignore], [ignore], [kill $server_pid])
-
-# shutdown controller socket 
-AT_CHECK([${AUTOTEST_PATH}/Controller --server 127.0.0.1:$CONTROLLERPORT --command shutdown], 0, [stdout], [ignore], [kill $server_pid])
-
-# check that server is truely down
-AT_CHECK([sleep 1], 0, [ignore], [ignore], [kill $server_pid])
-AT_CHECK([kill $server_pid], 1, [ignore], [ignore])
-
-AT_CLEANUP
Index: tests/regression/Fragmentation/testsuite-fragmentation.at
===================================================================
--- tests/regression/Fragmentation/testsuite-fragmentation.at	(revision 7da5cd8f40af510421808552471affe096db4402)
+++ tests/regression/Fragmentation/testsuite-fragmentation.at	(revision c8446c9dfb15b3dbd1b31f8f0a8400639f778b16)
@@ -1,33 +1,9 @@
-AT_BANNER([MoleCuilder - Fragmentation and Re-fragmentation test])
+AT_BANNER([MoleCuilder - fragmentation tests])
 
-# fragment the molecule and check the number of configs
+# check fragmentation
 m4_include([Fragmentation/FragmentMolecule/testsuite-fragmentation-fragment-molecule.at])
 
 # check whether parsing of BondFragment files and re-rwriting config files is working (exit code is 2 as we don't need to continue wrt to ...OrderAtSite)
 m4_include([Fragmentation/FragmentMolecule-MaxOrder/testsuite-fragmentation-fragment-molecule-maxorder.at])
-
-# check whether server shutdown works
-m4_include([Fragmentation/Automation/testsuite-fragmentation-automation-server-shutdown.at])
-
-# check whether poolworker may succesfully enroll in pool
-m4_include([Fragmentation/Automation/testsuite-fragmentation-automation-enrollinpool.at])
-
-# check whether adding jobs works
-m4_include([Fragmentation/Automation/testsuite-fragmentation-automation-addingjobs.at])
-
-# check whether checking state works
-m4_include([Fragmentation/Automation/testsuite-fragmentation-automation-checkstate.at])
-
-# check whether getting results works
-m4_include([Fragmentation/Automation/testsuite-fragmentation-automation-getresults.at])
-
-# check whether Server/Client construct for automatized calculation is working
-m4_include([Fragmentation/Automation/testsuite-fragmentation-automation-server-worker.at])
-
-# check whether complete run works
-m4_include([Fragmentation/Automation/testsuite-fragmentation-automation-completerun.at])
-
-# check whether resubmitting of failed jobs works
-m4_include([Fragmentation/Automation/testsuite-fragmentation-automation-resubmitjobs.at])
 
 # check whether stand-in mpqc program works
Index: tests/regression/Makefile.am
===================================================================
--- tests/regression/Makefile.am	(revision 7da5cd8f40af510421808552471affe096db4402)
+++ tests/regression/Makefile.am	(revision c8446c9dfb15b3dbd1b31f8f0a8400639f778b16)
@@ -75,13 +75,5 @@
 	$(srcdir)/Filling/SuspendInWater/testsuite-suspend-in-water.at \
 	$(srcdir)/Fragmentation/testsuite-fragmentation.at \
-	$(srcdir)/Fragmentation/Automation/testsuite-fragmentation-automation-addingjobs.at \
-	$(srcdir)/Fragmentation/Automation/testsuite-fragmentation-automation-checkstate.at \
-	$(srcdir)/Fragmentation/Automation/testsuite-fragmentation-automation-completerun.at \
-	$(srcdir)/Fragmentation/Automation/testsuite-fragmentation-automation-enrollinpool.at \
-	$(srcdir)/Fragmentation/Automation/testsuite-fragmentation-automation-getresults.at \
 	$(srcdir)/Fragmentation/Automation/testsuite-fragmentation-automation-mpqc-jobs.at \
-	$(srcdir)/Fragmentation/Automation/testsuite-fragmentation-automation-resubmitjobs.at \
-	$(srcdir)/Fragmentation/Automation/testsuite-fragmentation-automation-server-shutdown.at \
-	$(srcdir)/Fragmentation/Automation/testsuite-fragmentation-automation-server-worker.at \
 	$(srcdir)/Fragmentation/Automation/testsuite-fragmentation-automation-stand-in-mpqc.at \
 	$(srcdir)/Fragmentation/FragmentMolecule/testsuite-fragmentation-fragment-molecule.at \
